Introduction
============

Ketos provides a unified, high-level interface for working with acoustic data and deep neural networks. 
Its main purpose is to support the development of deep learning models for solving challenging 
detection and classification problems in underwater acoustics.

Ketos is written in Python and utilizes a number of powerful software packages 
including NumPy, HDF5, and Tensorflow.
It is licensed under the `GNU GPLv3 license <https://www.gnu.org/licenses/>`_ and hence freely available for anyone to use and modify.
The project is hosted on GitLab at 
`https://gitlab.meridian.cs.dal.ca/public_projects/ketos <https://gitlab.meridian.cs.dal.ca/public_projects/ketos>`_ .

Ketos was developed by the `MERIDIAN <http://meridian.cs.dal.ca/>`_ Data Analytics Team at the 
`Institute for Big Data Analytics <https://bigdata.cs.dal.ca/>`_ at Dalhousie University. 
We are greatful to Amalis Riera and Francis Juanes at the University of Victoria, 
Kim Davies and Chris Taggart at Dalhousie University, and Kristen Kanes at Ocean Networks Canada 
for providing us with annotated acoustic data sets, which played a key role in the early phases 
of the project. The first version of Ketos was released in April 2019. 

The intended users of Ketos are primarily researchers and data scientists working with (underwater) 
acoustics data. While Ketos comes with complete documentation and comprehensive step-by-step tutorials, 
some familiarity with Python and especially the NumPy package would be beneficial. A basic understanding of 
the fundamentals of machine learning and neural networks would also be an advantage.

To get started with Ketos, follow the :ref:`installation_instructions` instructions and then proceed to 
the :ref:`tutorials` section. For an example application of Ketos, see `Kirsebom, Frazao, et al., Performance of 
a deep neural network at detecting North Atlantic right whale upcalls, JASA, 147, 2636 (2020) <https://doi.org/10.1121/10.0001132>`_ 
(`preprint <https://arxiv.org/abs/2001.09127>`_).

The name Ketos was chosen to highlight the package's main intended application, underwater acoustics.
In Ancient Greek, the word ketos denotes a large fish, whale, shark, or sea monster. The word ketos 
is also the origin of the scientific term for whales, cetacean.
